develooper Front page | perl.beginners.cgi | Postings from August 2019

Re: Perl with Ajax issue

Thread Previous
From:
David Dorward
Date:
August 13, 2019 09:01
Subject:
Re: Perl with Ajax issue
Message ID:
9C81B6EA-17E7-435A-8CAE-68AC1149AA63@dorward.me.uk
On 12 Aug 2019, at 19:45, Matt Zand wrote:

> use CGI;

Do read [CGI: CGI.pm has been removed from the Perl core][1]

> Should I install Perl on the server or does it come with Apache 
> package.

Apache HTTPD does not include a Perl distribution although some 
third-party bundles include both Perl and Apache HTTPD.

You would also need to configure Apache so it will run the Perl program 
through the perl runtime.

> I am getting no response.

If you are getting no response at all, then your problem is unlikely to 
be related to a lack of Perl. That would cause it to return an error 
response.


[1]: 
https://metacpan.org/pod/distribution/CGI/lib/CGI.pod#CGI.pm-HAS-BEEN-REMOVED-FROM-THE-PERL-CORE
Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About